

# GetSourceApiAssociation
<a name="API_GetSourceApiAssociation"></a>

Retrieves a `SourceApiAssociation` object.

## Request Syntax
<a name="API_GetSourceApiAssociation_RequestSyntax"></a>

```
GET /v1/mergedApis/mergedApiIdentifier/sourceApiAssociations/associationId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetSourceApiAssociation_RequestParameters"></a>

The request uses the following URI parameters.

 ** [associationId](#API_GetSourceApiAssociation_RequestSyntax) **   <a name="appsync-GetSourceApiAssociation-request-uri-associationId"></a>
The ID generated by the AppSync service for the source API association.  
Required: Yes

 ** [mergedApiIdentifier](#API_GetSourceApiAssociation_RequestSyntax) **   <a name="appsync-GetSourceApiAssociation-request-uri-mergedApiIdentifier"></a>
The identifier of the AppSync Merged API. This is generated by the AppSync service. In most cases, Merged APIs (especially in your account) only require the API ID value or ARN of the merged API. However, Merged APIs in other accounts (cross-account use cases) strictly require the full resource ARN of the merged API.  
Required: Yes

## Request Body
<a name="API_GetSourceApiAssociation_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetSourceApiAssociation_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "sourceApiAssociation": { 
      "associationArn": "string",
      "associationId": "string",
      "description": "string",
      "lastSuccessfulMergeDate": number,
      "mergedApiArn": "string",
      "mergedApiId": "string",
      "sourceApiArn": "string",
      "sourceApiAssociationConfig": { 
         "mergeType": "string"
      },
      "sourceApiAssociationStatus": "string",
      "sourceApiAssociationStatusDetail": "string",
      "sourceApiId": "string"
   }
}
```

## Response Elements
<a name="API_GetSourceApiAssociation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [sourceApiAssociation](#API_GetSourceApiAssociation_ResponseSyntax) **   <a name="appsync-GetSourceApiAssociation-response-sourceApiAssociation"></a>
The `SourceApiAssociation` object data.  
Type: [SourceApiAssociation](API_SourceApiAssociation.md) object

## Errors
<a name="API_GetSourceApiAssociation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
The request is not well formed. For example, a value is invalid or a required field is missing. Check the field values, and then try again.    
 ** detail **   
Provides further details for the reason behind the bad request. For reason type `CODE_ERROR`, the detail will contain a list of code errors.  
 ** reason **   
Provides context for the cause of the bad request. The only supported value is `CODE_ERROR`.
HTTP Status Code: 400

 ** InternalFailureException **   
An internal Amazon AppSync error occurred. Try your request again.  
HTTP Status Code: 500

 ** NotFoundException **   
The resource specified in the request was not found. Check the resource, and then try again.  
HTTP Status Code: 404

 ** UnauthorizedException **   
You aren't authorized to perform this operation.  
HTTP Status Code: 401

## See Also
<a name="API_GetSourceApiAssociation_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/appsync-2017-07-25/GetSourceApiAssociation) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/appsync-2017-07-25/GetSourceApiAssociation) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/appsync-2017-07-25/GetSourceApiAssociation) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/appsync-2017-07-25/GetSourceApiAssociation) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/appsync-2017-07-25/GetSourceApiAssociation) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/appsync-2017-07-25/GetSourceApiAssociation) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/appsync-2017-07-25/GetSourceApiAssociation) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/appsync-2017-07-25/GetSourceApiAssociation) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/appsync-2017-07-25/GetSourceApiAssociation) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/appsync-2017-07-25/GetSourceApiAssociation) 